Bug 971024 - [WEB UI]Reset password reject UTF-8 string :: Constraint violation: Failed to update password
[WEB UI]Reset password reject UTF-8 string :: Constraint violation: Failed t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 09:30 EDT by Varun Mylaraiah
Modified: 2013-06-14 00:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-3.2.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 00:48:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new user password field accepts UTF-8 string (146.19 KB, image/png)
2013-06-05 09:30 EDT, Varun Mylaraiah
no flags Details
Reset password rejects UTF-8 string (165.20 KB, image/png)
2013-06-05 09:31 EDT, Varun Mylaraiah
no flags Details

  None (edit)
Description Varun Mylaraiah 2013-06-05 09:30:46 EDT
Created attachment 757187 [details]
new user password field accepts UTF-8 string

Description of problem:
Reset password reject UTF-8 string


Version-Release number of selected component (if applicable):
freeipa-server-3.2.99-0.20130604T1024Zgite31eea3.fc19.x86_64


How reproducible:
always 


Steps to Reproduce:
1.add user with password
2.go to user setting page
3.Click Reset password
4.Enter new password with UTF-8 string (example:δοκιμές)


Actual results:
reset password field reject UTF-8 string
error message : Constraint violation: Failed to update password


Expected results:
Should accept UTF-8 string in reset password.
Or
It should reject UTF-8 string in new user password field.



Additional info:
I have attached 2 screenshots
https://fedorahosted.org/freeipa/ticket/3640
Comment 1 Varun Mylaraiah 2013-06-05 09:31:55 EDT
Created attachment 757188 [details]
Reset password rejects UTF-8 string
Comment 2 Rob Crittenden 2013-06-05 09:43:18 EDT
Sounds like https://fedorahosted.org/freeipa/ticket/3640
Comment 3 Martin Kosek 2013-06-05 09:52:25 EDT
Indeed (we have a patch for that already). I will link these 2 together.
Comment 4 Martin Kosek 2013-06-05 10:22:20 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3640
Comment 6 Fedora Update System 2013-06-07 10:36:32 EDT
freeipa-3.2.1-1.fc19, samba-4.0.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipa-3.2.1-1.fc19,samba-4.0.6-3.fc19
Comment 7 Fedora Update System 2013-06-07 11:39:11 EDT
Package freeipa-3.2.1-1.fc19, samba-4.0.6-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.2.1-1.fc19 samba-4.0.6-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10271/freeipa-3.2.1-1.fc19,samba-4.0.6-3.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-14 00:48:41 EDT
freeipa-3.2.1-1.fc19, samba-4.0.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.